Public Member Functions | Public Attributes | List of all members
LightWayTxtTextInternal::State Struct Reference

Internal: the state of a LightWayTxtText. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
int | m_numPages
int | m_actualPage
std::vector< Font > | m_fontsList
| the list of fonts More...
std::vector< Font > | m_auxiFontsList
| the auxiliar list of fonts More...
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph More...
std::multimap< long, PLC > | m_plcMap
| the plc map More...
HFZone | m_header
| header More...
HFZone | m_footer
| footer More...

## Detailed Description

Internal: the state of a LightWayTxtText.

## Constructor & Destructor Documentation

## ◆ State()

LightWayTxtTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualPage

int LightWayTxtTextInternal::State::m_actualPage

## ◆ m_auxiFontsList

std::vector<Font> LightWayTxtTextInternal::State::m_auxiFontsList

the auxiliar list of fonts

## ◆ m_fontsList

std::vector<Font> LightWayTxtTextInternal::State::m_fontsList

the list of fonts

## ◆ m_footer

HFZone LightWayTxtTextInternal::State::m_footer

footer

## ◆ m_header

HFZone LightWayTxtTextInternal::State::m_header

header

## ◆ m_numPages

int LightWayTxtTextInternal::State::m_numPages

## ◆ m_paragraphsList

std::vector<Paragraph> LightWayTxtTextInternal::State::m_paragraphsList

the list of paragraph

## ◆ m_plcMap

std::multimap<long, PLC> LightWayTxtTextInternal::State::m_plcMap

the plc map

## ◆ m_version

int LightWayTxtTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- LightWayTxtText.cxx